Subject: Re: Current Directory? [Branch from Re: DLL naming conventions]
From: Bob McGowan <[email-masked]>
To: "David A. Cobb" <[email-masked]>
Cc: [email-masked]
Date: Tue, 05 Sep 2000 15:06:56 -0700

"David A. Cobb" wrote:
> 
> Bob McGowan wrote:
> 
> > I'd like to expand on this, hopefully to add clarity.  The above is
---
The one thing I did not say I was doing, was looking at this from a
"command line" orientation.  Windowing software adds complexity since
the user now is seeing multiple instances of applications.

> 
> The "Current Directory" then, must be a property/attribute of the "Current
> Process."  Is that correct?  With respect to the operator, it is relative
> to the current top window?

I'm not sure what the definition should be for "Current Process".  If by
that you mean the currently active, top window, then basically, yes. 
But, each and every process has a "current directory", whether or not it
is currently running, whether or not it is the "top window", etc.  You
are correct that from the perspective of the operator, the operator's
"current directory" will be that of the top window.

> In other words, when I launch a program the cd is established by the
> [shell] process in which I execute the launch command.  Subsequently, the
> running
> process may change it internally.  If I focus somewhere else, "my" current
> directory changes, but that's irrelevant to the program I launched before.
> 
> Have I got it?
> 

I think you've got it ;)

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]